com.r3corda.contracts / CommercialPaper / Clauses / AbstractGroupClause

# AbstractGroupClause

`abstract class AbstractGroupClause : GroupClause<State, Issued<Terms>>`

### Constructors

<init> | `AbstractGroupClause()`

### Properties

ifMatched | `open val ifMatched: MatchBehaviour` Behaviour if this clause is not matches
ifNotMatched | `open val ifNotMatched: MatchBehaviour` Behaviour if this clause is matched

### Inheritors

Move | `class Move : AbstractGroupClause`
Redeem | `class Redeem : AbstractGroupClause`